<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="zh-CN" />
<link href="../style/css/manual-zip.css" rel="stylesheet" media="all" type="text/css" title="Main stylesheet" />
<link href="../style/css/manual-zip-100pc.css" rel="alternate stylesheet" media="all" type="text/css" title="No Sidebar - Default font size" />
<link href="../style/css/manual-print.css" rel="stylesheet" media="print" type="text/css" />
<meta name="description" content="mod_authz_dbm － Apache 2.2 中文手册 [金步国作品集]">
<title>mod_authz_dbm － Apache 2.2 中文手册 [金步国]</title>
<script> var _hmt = _hmt || []; (function() { var hm = document.createElement("script"); hm.src = "https://hm.baidu.com/hm.js?2468a2c5d539e359902070bcd91865b1"; var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(hm, s); })(); </script>
</head>
<body><div id="page-header">
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p><p class="apache">Apache HTTP Server 版本2.2</p><img alt="" src="../images/feather.gif" /></div>
<div class="up"><a href="./index.html"><img title="&lt;-" alt="&lt;-" src="../images/left.gif" /></a></div>
<div id="path"><a href="https://www.apache.org/">Apache</a> &gt; <a href="https://httpd.apache.org/">HTTP Server</a> &gt; <a href="https://httpd.apache.org/docs/">文档</a> &gt; <a href="../index.html">版本2.2</a> &gt; <a href="./index.html">模块</a></div>

<div id="translation-info">　　 <a href="../translator_announcement.html#thanks">致谢</a> | 本篇译者：&lt;<a href="../translator_announcement.html#join">虚位以待</a>&gt; | 本篇译稿完成时间：?年?月?日</div>
<div id="page-content"><div id="preamble"><h1>Apache模块 mod_authz_dbm</h1>

<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="module">
<tr><th><a href="module-dict.html#Description">说明</a></th><td>使用DBM数据库文件为组提供授权支持</td></tr>
<tr><th><a href="module-dict.html#Status">状态</a></th><td>扩展(E)</td></tr>
<tr><th><a href="module-dict.html#ModuleIdentifier">模块名</a></th><td>authz_dbm_module</td></tr>
<tr><th><a href="module-dict.html#SourceFile">源文件</a></th><td>mod_authz_dbm.c</td></tr>
<tr><th><a href="module-dict.html#Compatibility">兼容性</a></th><td>仅在 Apache 2.1 及以后的版本中可用</td></tr>
</table>
<h3>概述</h3>

    <p>This module provides authorization capabilities so that
       authenticated users can be allowed or denied access to portions
       of the web site by group membership. Similar functionality is
       provided by <code class="module"><a href="../mod/mod_authz_groupfile.html">mod_authz_groupfile</a></code>.</p>
</div>
<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="directive-section"><h2><a name="AuthDBMGroupFile" id="AuthDBMGroupFile">AuthDBMGroupFile</a> <a name="authdbmgroupfile" id="authdbmgroupfile">指令</a></h2>
<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="directive">
<tr><th><a href="directive-dict.html#Description">说明</a></th><td>Sets the name of the database file containing the list
of user groups for authorization</td></tr>
<tr><th><a href="directive-dict.html#Syntax">语法</a></th><td><code>AuthDBMGroupFile <var>file-path</var></code></td></tr>
<tr><th><a href="directive-dict.html#Context">作用域</a></th><td>directory, .htaccess</td></tr>
<tr><th><a href="directive-dict.html#Override">覆盖项</a></th><td>AuthConfig</td></tr>
<tr><th><a href="directive-dict.html#Status">状态</a></th><td>扩展(E)</td></tr>
<tr><th><a href="directive-dict.html#Module">模块</a></th><td>mod_authz_dbm</td></tr>
</table>
    <p><code class="directive">AuthDBMGroupFile</code> directive sets the
    name of a DBM file containing the list of user groups for user
    authorization.  <var>File-path</var> is the absolute path to the
    group file.</p>

    <p>The group file is keyed on the username. The value for a
    user is a comma-separated list of the groups to which the users
    belongs. There must be no whitespace within the value, and it
    must never contain any colons.</p>

    <div class="warning"><h3>安全</h3>
      <p>Make sure that the <code class="directive">AuthDBMGroupFile</code> is
      stored outside the document tree of the web-server. Do
      <strong>not</strong> put it in the directory that it protects.
      Otherwise, clients will be able to download the
      <code class="directive">AuthDBMGroupFile</code> unless otherwise
      protected.</p>
    </div>

    <p>Combining Group and Password DBM files: In some cases it is
    easier to manage a single database which contains both the
    password and group details for each user. This simplifies any
    support programs that need to be written: they now only have to
    deal with writing to and locking a single DBM file. This can be
    accomplished by first setting the group and password files to
    point to the same DBM:</p>

    <div class="example"><p><code>
      AuthDBMGroupFile /www/userbase<br />
      AuthDBMUserFile /www/userbase
    </code></p></div>

    <p>The key for the single DBM is the username. The value consists
    of</p>

    <div class="example"><p><code>
      Encrypted Password : List of Groups [ : (ignored) ]
    </code></p></div>

    <p>The password section contains the encrypted
    password as before. This is followed by a colon and the comma
    separated list of groups. Other data may optionally be left in the
    DBM file after another colon; it is ignored by the authorization
    module. This is what www.telescope.org uses for its combined
    password and group database.</p>

</div>
<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="directive-section"><h2><a name="AuthzDBMAuthoritative" id="AuthzDBMAuthoritative">AuthzDBMAuthoritative</a> <a name="authzdbmauthoritative" id="authzdbmauthoritative">指令</a></h2>
<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="directive">
<tr><th><a href="directive-dict.html#Description">说明</a></th><td>Sets whether authorization will be passed on to lower level
modules</td></tr>
<tr><th><a href="directive-dict.html#Syntax">语法</a></th><td><code>AuthzDBMAuthoritative On|Off</code></td></tr>
<tr><th><a href="directive-dict.html#Default">默认值</a></th><td><code>AuthzDBMAuthoritative On</code></td></tr>
<tr><th><a href="directive-dict.html#Context">作用域</a></th><td>directory, .htaccess</td></tr>
<tr><th><a href="directive-dict.html#Override">覆盖项</a></th><td>AuthConfig</td></tr>
<tr><th><a href="directive-dict.html#Status">状态</a></th><td>扩展(E)</td></tr>
<tr><th><a href="directive-dict.html#Module">模块</a></th><td>mod_authz_dbm</td></tr>
</table>
    <p>Setting the <code class="directive">AuthzDBMAuthoritative</code>
    directive explicitly to <code>Off</code> allows group authorization
    to be passed on to lower level modules (as defined in the
    <code>modules.c</code> file) if there is no group found
    for the the supplied userID. If there are any groups
    specified, the usual checks will be applied and a failure will
    give an Authentication Required reply.</p>

    <p>So if a userID appears in the database of more than one module;
    or if a valid <code class="directive"><a href="../mod/core.html#require">Require</a></code>
    directive applies to more than one module; then the first module
    will verify the credentials; and no access is passed on;
    regardless of the <code class="directive">AuthBasicAuthoritative</code> setting.</p>

    <p>A common use for this is in conjunction with one of the
    auth providers; such as <code class="module"><a href="../mod/mod_authn_dbm.html">mod_authn_dbm</a></code>或<code class="module"><a href="../mod/mod_authn_file.html">mod_authn_file</a></code>. Whereas this DBM module supplies
    the bulk of the user credential checking; a few (administrator) related
    accesses fall through to a lower level with a well protected
    <code>.htpasswd</code> file.</p>

    <p>By default, control is not passed on and an unknown group
    will result in an Authentication Required reply. Not
    setting it thus keeps the system secure and forces an NCSA
    compliant behaviour.</p>

    <div class="warning"><h3>安全</h3>
      <p>Do consider the implications of allowing a user to
      allow fall-through in his .htaccess file; and verify that this
      is really what you want; Generally it is easier to just secure
      a single <code>.htpasswd</code> file, than it is to secure a
      database which might have more access interfaces.</p>
    </div>

</div>
<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="directive-section"><h2><a name="AuthzDBMType" id="AuthzDBMType">AuthzDBMType</a> <a name="authzdbmtype" id="authzdbmtype">指令</a></h2>
<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="directive">
<tr><th><a href="directive-dict.html#Description">说明</a></th><td>Sets the type of database file that is used to
store list of user groups</td></tr>
<tr><th><a href="directive-dict.html#Syntax">语法</a></th><td><code>AuthzDBMType default|SDBM|GDBM|NDBM|DB</code></td></tr>
<tr><th><a href="directive-dict.html#Default">默认值</a></th><td><code>AuthzDBMType default</code></td></tr>
<tr><th><a href="directive-dict.html#Context">作用域</a></th><td>directory, .htaccess</td></tr>
<tr><th><a href="directive-dict.html#Override">覆盖项</a></th><td>AuthConfig</td></tr>
<tr><th><a href="directive-dict.html#Status">状态</a></th><td>扩展(E)</td></tr>
<tr><th><a href="directive-dict.html#Module">模块</a></th><td>mod_authz_dbm</td></tr>
</table>
    <p>Sets the type of database file that is used to store the list
    of user groups.
    The default database type is determined at compile time.  The
    availability of other types of database files also depends on
    <a href="../install.html#dbm">compile-time settings</a>.</p>

    <p>It is crucial that whatever program you use to create your group
    files is configured to use the same type of database.</p>

</div>
</div>
<div id="footer">
<p class="apache">本文允许自由的转载、引用、再分发，但必须保留译者署名并注明出处；详见：<a href="../translator_announcement.html#announcement">版权声明</a>。</p>
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p></div>
</body></html>
